#pragma once

#include "l4vb8.h"
#include "l4serial.h"

//########################################################################
//################################ Plasma ################################
//########################################################################
class PlasmaDisplay :
	public Video8BitBuffered
{
public:
	enum
	{
		plasmaWidth=128,
     plasmaHeight=32
	};

	//Win32 Serial Support: ADB 02/24/2007
	//PlasmaDisplay(Word port, Word int_num);
	PlasmaDisplay::PlasmaDisplay(const char* port);

	~PlasmaDisplay();

	Logical
		TestInstance() const;

	void
		ShowInstance(char *indent);

	Logical
		Update(Logical forceall);

	void
		WaitForUpdate();

protected:
	void
		Scan(Logical forceall);

	Logical
		forceAll,
		updateInProgress;

	PCSerial
		*pc_serial;
	int
  	currentTransferLine;
	char
		updateFlag[32];
};
